package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 教学课程选择参数
 * @Author: CaoZixuan
 * @Date: 2024-03-05
 */
public class TeachCourseSelectParam {

    @ApiModelProperty("考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少考试")
    @Range(min = 1L, message = "缺少考试")
    private Long examId;

    @ApiModelProperty("课程编号集合")
    @NotEmpty(message = "缺少课程编号集合")
    private List<String> courseCodeList;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public List<String> getCourseCodeList() {
        return courseCodeList;
    }

    public void setCourseCodeList(List<String> courseCodeList) {
        this.courseCodeList = courseCodeList;
    }
}
